org.apache.fop.afp.goca

## Class GraphicsFillet

- java.lang.Object
- - org.apache.fop.afp.modca.AbstractAFPObject
  - - org.apache.fop.afp.goca.AbstractGraphicsDrawingOrder
    - - org.apache.fop.afp.goca.AbstractGraphicsCoord
      - - org.apache.fop.afp.goca.GraphicsFillet

- All Implemented Interfaces:
    Streamable, StructuredData

      public final class GraphicsFillet
      extends AbstractGraphicsCoord

  A GOCA graphics curved tangential line to a specified set of straight lines drawn from the given position or current position

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `AbstractAFPObject.Category, AbstractAFPObject.Type`

  - ### Field Summary

    - ### Fields inherited from class org.apache.fop.afp.goca.AbstractGraphicsCoord

      `coords, relative`

    - ### Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `LOG, SF_CLASS, SF_HEADER_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphicsFillet(int[] coords, boolean relative)` Constructor

  - ### Method Summary

    - ### Methods inherited from class org.apache.fop.afp.goca.AbstractGraphicsCoord

      `addCoords, getDataLength, isRelative, toString, writeToStream`

    - ### Methods inherited from class org.apache.fop.afp.goca.AbstractGraphicsDrawingOrder

      `getName`

    - ### Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `copySF, copySF, truncate, writeChunksToStream, writeObjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphicsFillet

          public GraphicsFillet(int[] coords,
                                boolean relative)

      Constructor
      Parameters:
        `coords` - the x/y coordinates for this object
        `relative` - true if uses relative drawing order

Copyright 1999-2021 The Apache Software Foundation. All Rights Reserved.